import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import footTabs from './components/foot-tabs/footTabs.vue'
Vue.component('footTabs',footTabs) //挂载
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
    ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif

Vue.filter('globalTime',function (value) {
  if (value) {
    const time = new Date(value * 1000);
    const y = time.getFullYear();
    const m = (time.getMonth() + 1) < 10 ? '0' + (time.getMonth() + 1) : (time.getMonth() + 1);
    const d = time.getDate() < 10 ? '0' + time.getDate(): time.getDate();
    // const h = time.getHours()
    // const mm = time.getMinutes();
    // const s = time.getSeconds();
    return y + '-' + m + '-' + d
  } else {
    return ''
  }
});